Invites

POST /api/v1/invite

Create accept Invite

Request Body

Type: AcceptInvite

FieldTypeDescription
user_idstring
firstnamestring
namestring
passwordstring
repeat_passwordstring
new_usernamestring
old_usernamestring
donebool
apikeystring
errorstring
invite_tokenstring

Response

Type: AcceptInvite

FieldTypeDescription
user_idstring
firstnamestring
namestring
passwordstring
repeat_passwordstring
new_usernamestring
old_usernamestring
donebool
apikeystring
errorstring
invite_tokenstring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/invite

GET /api/v1/invite/{user_id}/{invite_token}

Get Invite

Parameters

NameInTypeRequired
user_idpathstringtrue
invite_tokenpathstringtrue

Response

Type: InviteReply

FieldTypeDescription
iduuid.UUID
usernamestring
errorstring

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/invite/{user_id}/{invite_token}